package com.neusoft.smart.pos.payorder.persistent.mapper;

import com.neusoft.smart.pos.payorder.persistent.domain.TradeMchPayChannel;
import com.neusoft.smart.pos.payorder.persistent.domain.TradeMchPayChannelExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TradeMchPayChannelMapper {
    int countByExample(TradeMchPayChannelExample example);

    int deleteByExample(TradeMchPayChannelExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TradeMchPayChannel record);

    int insertSelective(TradeMchPayChannel record);

    List<TradeMchPayChannel> selectByExampleWithBLOBs(TradeMchPayChannelExample example);

    List<TradeMchPayChannel> selectByExample(TradeMchPayChannelExample example);

    TradeMchPayChannel selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TradeMchPayChannel record, @Param("example") TradeMchPayChannelExample example);

    int updateByExampleWithBLOBs(@Param("record") TradeMchPayChannel record, @Param("example") TradeMchPayChannelExample example);

    int updateByExample(@Param("record") TradeMchPayChannel record, @Param("example") TradeMchPayChannelExample example);

    int updateByPrimaryKeySelective(TradeMchPayChannel record);

    int updateByPrimaryKeyWithBLOBs(TradeMchPayChannel record);

    int updateByPrimaryKey(TradeMchPayChannel record);

    void batchInsert(@Param("items") List<TradeMchPayChannel> items);
}